> ## Documentation Index
> Fetch the complete documentation index at: https://learn.servitly.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get data-export by id
> Retrieves the details of a specific data-export.
Schedule a data-export by calling the [POST] /data/dataExports method, and then wait for the COMPLETE state by invoking this endpoint issuing the data-export identifier.
When completed use the url property value to download the generated archive, which contains a CSV for each exported thing.
Required permissions: EXPORT_DATA.
## OpenAPI
````json GET /data/dataExports/{dataExportId}
{
"openapi": "3.1.0",
"info": {
"title": "Servitly DPS API",
"version": "1.0.0"
},
"servers": [
{
"url": "https://api.servitly-sandbox.com",
"description": "[AWS SANDBOX]"
},
{
"url": "https://api.servitly.com",
"description": "[AWS PRODUCTION Ireland]"
},
{
"url": "https://api-ap.servitly.com",
"description": "[AWS Hong Kong]"
},
{
"url": "https://azapi.servitly-dev.com",
"description": "[AZURE DEV Frankfurt]"
},
{
"url": "https://azapi.servitly-staging.com",
"description": "[AZURE STAGING Frankfurt]"
},
{
"url": "https://azapi.servitly.com",
"description": "[AZURE PRODUCTION Frankfurt]"
}
],
"security": [
{
"bearerAuth": []
}
],
"tags": [
{
"name": "ACTIONS"
},
{
"name": "ALERTS"
},
{
"name": "API GATEWAY"
},
{
"name": "AUTHENTICATION"
},
{
"name": "AUTHORIZATIONS"
},
{
"name": "CUSTOMERS"
},
{
"name": "DATA IMPORT / EXPORT"
},
{
"name": "EVENTS"
},
{
"name": "LOCATIONS"
},
{
"name": "MAINTENANCE"
},
{
"name": "MAPPING"
},
{
"name": "METRIC DATA"
},
{
"name": "MOBILE APP"
},
{
"name": "ORGANIZATION"
},
{
"name": "PARTNERS"
},
{
"name": "PRODUCT MODELS"
},
{
"name": "SPARE PARTS"
},
{
"name": "STATISTICS"
},
{
"name": "STORE ORDERS"
},
{
"name": "SUBSCRIPTIONS"
},
{
"name": "SUBSCRIPTIONS (OLD)"
},
{
"name": "THING CONTROL"
},
{
"name": "THING DEFINITIONS"
},
{
"name": "THING MANAGEMENT"
},
{
"name": "THINGS"
},
{
"name": "TICKETS"
},
{
"name": "USER TYPES"
},
{
"name": "USERS"
},
{
"name": "WORK SESSIONS"
}
],
"paths": {
"/data/dataExports/{dataExportId}": {
"get": {
"summary": "Get data-export by id",
"description": "Retrieves the details of a specific data-export.
Schedule a data-export by calling the [POST] /data/dataExports method, and then wait for the COMPLETE state by invoking this endpoint issuing the data-export identifier.
When completed use the url property value to download the generated archive, which contains a CSV for each exported thing.
Required permissions: EXPORT_DATA.",
"tags": [
"DATA IMPORT / EXPORT"
],
"parameters": [
{
"$ref": "#/components/parameters/tenantNameHeader"
},
{
"in": "path",
"name": "dataExportId",
"required": "true",
"schema": {
"$ref": "#/components/schemas/ObjectId"
},
"description": "The identifier of the data-export to retrieve."
}
],
"responses": {
"200": {
"description": "Successful operation.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DataExport"
}
}
}
},
"401": {
"$ref": "#/components/responses/NotAuthenticated"
},
"403": {
"$ref": "#/components/responses/NotAuthorized"
},
"404": {
"$ref": "#/components/responses/NotFound"
},
"429": {
"$ref": "#/components/responses/ApiLimit"
},
"500": {
"$ref": "#/components/responses/IntError"
}
}
}
}
},
"components": {
"parameters": {
"tenantNameHeader": {
"in": "header",
"name": "X-Servitly-Tenant",
"required": "true",
"schema": {
"type": "string",
"example": "{{tenantName}}"
},
"description": "The name of the tenant (e.g. acme)."
}
},
"schemas": {
"ObjectId": {
"type": "string",
"example": "abcd1234",
"minimum": "1",
"description": "The object identifier (e.g. 6620e4bb42541977c406b984)."
},
"DataExport": {
"type": "object",
"description": "The bean providing data-export details.",
"properties": {
"id": {
"type": "string",
"description": "The data-export unique identifier.",
"readOnly": "true"
},
"name": {
"type": "string",
"description": "The data-export friendly name.",
"example": "AllTemperatures_march_20200"
},
"dateTime": {
"type": "integer",
"format": "int64",
"description": "The timestamp UTC the data-export has been scheduled.",
"example": "1578438000000"
},
"thingFileName": {
"type": "string",
"description": "The file name mask (without .CSV extension) used for the generated CSV files.",
"example": "${thing.serialNumber}_${thingDefinition.name}"
},
"state": {
"type": "string",
"enum": [
"PENDING",
"COMPLETED",
"ERROR"
],
"description": "The data-export status.",
"readOnly": "true"
},
"customerId": {
"type": "string",
"description": "The identifier of the customer whose data is to be exported."
},
"locationId": {
"type": "string",
"description": "The identifier of the location whose data is to be exported."
},
"thingId": {
"type": "string",
"description": "The identifier of the thing whose data is to be exported."
},
"all": {
"type": "boolean",
"description": "The flag that indicates whether to export all metrics."
},
"metricSetIds": {
"description": "The list of metric set ids to be exported.",
"type": "array",
"items": {
"type": "string"
}
},
"qualifiedMetricIds": {
"description": "The array of metric identifiers to export, along with their thing-definition or model and part ids.",
"type": "array",
"items": {
"type": "object",
"properties": {
"metricId": {
"type": "string",
"description": "The metric identifier."
},
"productModelId": {
"type": "string",
"description": "The product model identifier."
},
"productModelPartId": {
"type": "string",
"description": "The product model part identifier."
},
"thingDefinitionId": {
"type": "string",
"description": "The thing-definition identifier in alternative to the product model and part."
}
}
}
},
"startTimestamp": {
"type": "integer",
"format": "int64",
"description": "The start timestamp UTC related to the exported period of data.",
"example": "1578438000000"
},
"endTimestamp": {
"type": "integer",
"format": "int64",
"description": "The end timestamp UTC related to the exported period of data.",
"example": "1578438000000"
},
"includeUnit": {
"type": "boolean",
"description": "The flag that indicates whether to include the unit of measurement in CSV header names (Weight [kg])."
},
"timestampFormat": {
"type": "string",
"enum": [
"ISO_8601",
"EPOCH_MILLIS"
],
"description": "The format that the timestamp must have in the result CSV file."
},
"url": {
"type": "string",
"description": "The data-export generated archive URL (available only retrieving the data-export details).",
"readOnly": "true"
}
}
}
},
"responses": {
"NotAuthenticated": {
"description": "User not authenticated.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authenticated"
}
}
}
}
}
},
"NotAuthorized": {
"description": "User not authorized.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authorized"
}
}
}
}
}
},
"NotFound": {
"description": "Resource was not found.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Resource not found"
}
}
}
}
}
},
"ApiLimit": {
"description": "API call rate limit exceeded.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "API call rate limit exceeded"
}
}
}
}
}
},
"IntError": {
"description": "Internal server error.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Internal Server Error"
}
}
}
}
}
}
},
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer"
}
}
}
}
````